Subject: Re: [bug report] armada-8040-mcbin: 5.6-rc5 boot failure

From: Sergey Matyukevich <[email-masked]>
Date: Tue, 14 Apr 2020 19:03:54 +0300

> > Hi Russel, Miquel, and all,
> > 
> > MacchiatoBin Double-shot board fails to boot v5.6-rc5 kernel properly:
> > USB, PCIe, and ethernet interfaces are not enabled. Before that I have
> > been running v5.3 kernel w/o any noticeable issues.

...
 
> > However looking at firmware version complaints, I guess that the actual
> > reason of all those issues could be in ATF version rather than in the
> > latest DTS changes. Probably I am using ATF version which is too old
> > to work with up-to-date kernel: armada-17.10.3 from atf-marvell
> > repository on github. If this is indeed the actual root cause of all
> > the issues, then could you please recommend a preferable ATF version
> > to test with ?
> 
> I would strongly recommend upgrading the firmware in any case, because
> of work I did (and submitted back through Jon @ SolidRun) to improve
> the eye mask on the 10G Ethernet interfaces.  I'm using the 18.12
> version.  Firmware build instructions can be found at:
> 
> https://developer.solid-run.com/knowledge-base/armada-8040-machiatobin-u-boot-and-atf/
> 
> I've booted 5.6 recently on a number of Armada 8040 based boards
> without issue, likely all running the later firmware.

Thanks ! After ATF update to 18.12 both USB and PCIe are working fine
without any changes to DTS. But network interfaces including 1G copper
interface still do not work as expected:

$ ip link set eth0 up                                                                                                                                                                             
[  626.774003] mvpp2 f2000000.ethernet eth0: could not attach PHY (-19) RTNETLINK answers: No such device
$ ip link set eth2 up
[  504.054084] mvpp2 f4000000.ethernet eth2: could not attach PHY (-19) RTNETLINK answers: No such device

I have not changed configuration since 5.3, so all the marvell phy
drivers are in place. Is there anything in configuration that could
be missed after moving from 5.3 to 5.6 kernel ?

Regards,
Sergey

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel